---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: gitea-http-redirect
  namespace: gitea
  labels:
    app.kubernetes.io/name: gitea
    app.kubernetes.io/instance: gitea
spec:
  hostnames:
    - git.unkin.net
    - git.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: gitea
      sectionName: http-primary
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: gitea
      sectionName: http-admin
  rules:
    - filters:
        - type: RequestRedirect
          requestRedirect:
            scheme: https
            statusCode: 301
      matches:
        - path:
            type: PathPrefix
            value: /
---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: gitea
  namespace: gitea
  labels:
    app.kubernetes.io/name: gitea
    app.kubernetes.io/instance: gitea
spec:
  hostnames:
    - git.unkin.net
    - git.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: gitea
      sectionName: https-primary
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: gitea
      sectionName: https-admin
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: gitea-http
          port: 3000
          weight: 1
      matches:
        - path:
            type: PathPrefix
            value: /
